module WulffeldSlug
  module Slug
    def has_slug(fields, options = {})
      class_attribute :slug_config
      self.slug_config = {
        :case             => :downcase,
        :loop_start       => 64,
        :blank_loop_start => 1024,
        :blank_generator  => nil,
        :fields           => fields
      }.merge(options)

      include WulffeldSlug::SlugInclude
    end
  end
end
